"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var constants_1 = require("./constants");
exports.get_definition = function (args, meta, when, additional_args, description) {
    if (when === void 0) { when = constants_1.ALWAYS; }
    if (additional_args === void 0) { additional_args = {}; }
    if (description === void 0) { description = ''; }
    return ({
        plugin: __assign({ args: Object.assign(additional_args, args) }, meta),
        name: description,
        when: when
    });
};
exports.get_definition_with_tags = function (args, meta, tags, when, additional_args, description) { return Object.assign(exports.get_definition(args, meta, when, additional_args, description), { tags: tags }); };
//# sourceMappingURL=base.js.map