export declare const flow: {
    artifact: {
        load_revision: (project: any, artifact_name: any, revision: any, workspace_key: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        new_revision: (project: any, artifact_name: any, branch: any, location: any, version: any, build_id: any, build_url: any, build_details: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        update_revision: (project: any, artifact_name: any, branch: any, location: any, version: any, build_id: any, build_url: any, build_details: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
    };
    group: {
        set_global: (key: any, value: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
    };
    interact: {
        action: (asssign_to: any[], definition: any, tags: any[], when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        } & {
            tags: any;
        };
        confirmation: (title: any, text: any, asssign_to: any[], tags: any[], when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        } & {
            tags: any;
        };
    };
    manifest: {
        copy_to_workspace: (workspace_key: any, include: any, verbose: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        evaluate_changes: (expression: any, key: any, count: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        evaluate_workitems: (expression: any, key: any, count: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
    };
    pipeline: {
        initiate: (defintion: any, project: any, group: any, start_now: boolean, initial_data: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        set_data: (key: any, value: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        set_description: (value: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        set_global_summary_data: (pipeline: any, key: any, value: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        set_name: (name: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
    };
    pkg: {
        deliver_revision: (package_name: any, revision: any, full_version: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        get_artifact: (package_name: any, revision: any, artifact_name: any, artifact_key: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        get_artifacts: (package_name: any, revision: any, artifact_key: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        get_globals: (package_name: any, revision: any, globals_key: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        load_revision: (package_name: any, revision: any, globals_key: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        new_revision: (package_name: any, version: any, full_version: any, globals_key: any, workspace_key: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        promote_revision: (package_name: any, revision: any, full_version: any, phase: any, new_version: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
        set_global: (package_name: any, revision: any, key: any, value: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
    };
    project: {
        new_version: (to_version: any, increment: any, when: any, additional_args: any, description: any) => {
            plugin: any;
            name: string;
            when: string;
        };
    };
};
