"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../base");
exports.build = function (job_name, parameters, wait, inherit_job_status, regular_expression, artifact_name, instance_name, when, additional_args, description) {
    if (parameters === void 0) { parameters = {}; }
    return base_1.get_definition({
        job: job_name,
        params: parameters,
        wait: wait,
        inherit: inherit_job_status,
        artifact_regex: regular_expression,
        artifact_name: artifact_name,
        instance_name: instance_name
    }, {
        label: 'Jenkins - Build',
        method: 'build',
        module: 'job',
        name: 'jenkins',
        type: 'external'
    }, when, additional_args, description);
};
//# sourceMappingURL=build.js.map