"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../base");
var post_message = function (channel, message, attachments, as_user, fail_on_error, when, additional_args, description) {
    if (fail_on_error === void 0) { fail_on_error = 'true'; }
    return base_1.get_definition({
        channel: channel,
        message: message,
        attachments: attachments,
        as_user: as_user,
        failonerror: fail_on_error
    }, {
        label: 'Slack - Post Message',
        method: 'post',
        module: 'chat',
        name: 'slackplugin'
    }, when, additional_args, description);
};
exports.slack = {
    post_message: post_message
};
//# sourceMappingURL=index.js.map