"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var constants_1 = require("./../constants");
var base_1 = require("./../base");
exports.http = function (url, headers, http_verb, data, key, when, additional_args, description) {
    if (http_verb === void 0) { http_verb = constants_1.GET; }
    return base_1.get_definition({
        data: data,
        headers: headers,
        key: key,
        url: url,
        verb: http_verb
    }, {
        label: 'Utility - HTTP',
        method: 'http',
        module: 'utility',
        name: 'utility'
    }, when, additional_args, description);
};
//# sourceMappingURL=http.js.map