"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../base");
exports.create_pipeline_run = function (build_project, name, reference, initial_status, target_key, instance_name, when, additional_args, description) {
    if (initial_status === void 0) { initial_status = 'In Progress'; }
    return base_1.get_definition({
        broid_target_key: target_key,
        build_project: build_project,
        initial_status: initial_status,
        instance_name: instance_name,
        name: name,
        reference: reference
    }, {
        label: 'VersionOne - Create Pipeline Run',
        method: 'create_buildrun',
        module: 'main',
        name: 'v1plugin',
        type: 'external'
    }, when, additional_args, description);
};
//# sourceMappingURL=create_pipeline_run.js.map