"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../base");
exports.set_attributes_on_all_workitems = function (attributes, skip_if_closed, instance_name, when, additional_args, description) {
    if (attributes === void 0) { attributes = ''; }
    if (skip_if_closed === void 0) { skip_if_closed = 'true'; }
    return base_1.get_definition({
        attributes: attributes,
        skip_on_closed: skip_if_closed,
        instance_name: instance_name
    }, {
        label: 'VersionOne - Set Attributes on All Workitems',
        method: 'set_workitem_attributes_all',
        module: 'main',
        name: 'v1plugin'
    }, when, additional_args, description);
};
//# sourceMappingURL=set_attributes_on_all_workitems.js.map