"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../base");
exports.set_workitem_attributes = function (workitem_number, attributes, skip_if_closed, instance_name, when, additional_args, description) {
    if (attributes === void 0) { attributes = ''; }
    if (skip_if_closed === void 0) { skip_if_closed = 'true'; }
    return base_1.get_definition({
        number: workitem_number,
        attributes: attributes,
        skip_on_closed: skip_if_closed,
        instance_name: instance_name
    }, {
        label: 'VersionOne - Set Workitem Attributes',
        method: 'set_workitem_attributes',
        module: 'main',
        name: 'v1plugin'
    }, when, additional_args, description);
};
//# sourceMappingURL=set_workitem_attributes.js.map