"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../base");
var build = function (build_id, revision, parameters, wait, inherit_build_status, instance_name, when, additional_args, description) {
    if (wait === void 0) { wait = 'true'; }
    if (inherit_build_status === void 0) { inherit_build_status = 'true'; }
    return base_1.get_definition({
        build_id: build_id,
        revision: revision,
        params: parameters,
        wait: wait,
        inherit: inherit_build_status,
        instance_name: instance_name
    }, {
        label: 'Bamboo - Build',
        method: 'build',
        module: 'job',
        name: 'bamboo'
    }, when, additional_args, description);
};
exports.bamboo = {
    build: build
};
//# sourceMappingURL=index.js.map