"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../base");
exports.deploy_application = function (template, version, data_store, sequence_data, params, when, additional_args, description) {
    if (data_store === void 0) { data_store = {}; }
    if (sequence_data === void 0) { sequence_data = {}; }
    return base_1.get_definition({
        template: template,
        version: version,
        datastore: data_store,
        sequence_data: sequence_data,
        params: params
    }, {
        label: 'Deploy - Deploy an Application',
        method: 'deploy',
        module: 'deployment',
        name: 'deploy'
    }, when, additional_args, description);
};
//# sourceMappingURL=deploy_application.js.map