"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var constants_1 = require("./../constants");
var base_1 = require("./../base");
exports.api_call = function (type, request, data, response_key, instance_name, when, additional_args, description) {
    if (type === void 0) { type = constants_1.GET; }
    if (data === void 0) { data = {}; }
    return base_1.get_definition({
        type: type,
        request: request,
        data: data,
        response_key: response_key,
        instance_name: instance_name
    }, {
        label: 'Gitlab - API Call',
        method: 'api_call',
        module: 'main',
        name: 'gitlab'
    }, when, additional_args, description);
};
//# sourceMappingURL=api_call.js.map