"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../base");
exports.create_branch = function (project, reference, branch_name, failifexists, instance_name, when, additional_args, description) {
    if (failifexists === void 0) { failifexists = 'false'; }
    return base_1.get_definition({
        ns_project: project,
        reference: reference,
        branch_name: branch_name,
        failifexists: failifexists,
        instance_name: instance_name
    }, {
        label: 'Gitlab - Create Branch',
        method: 'create_branch',
        module: 'main',
        name: 'gitlab'
    }, when, additional_args, description);
};
//# sourceMappingURL=create_branch.js.map