"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../base");
exports.build = function (build_id, parameters, branch_name, commit_id, snapshot_id, vcs_instance_id, time_out, wait, inherit_build_status, instance_name, when, additional_args, description) {
    if (parameters === void 0) { parameters = {}; }
    return base_1.get_definition({
        build_id: build_id,
        params: parameters,
        branch: branch_name,
        commit_id: commit_id,
        snapshot_id: snapshot_id,
        vcs_instance_id: vcs_instance_id,
        timeout: time_out,
        wait: wait,
        inherit: inherit_build_status,
        instance_name: instance_name
    }, {
        label: 'TeamCity - Build',
        method: 'build',
        module: 'job',
        name: 'teamcity'
    }, when, additional_args, description);
};
//# sourceMappingURL=build.js.map