"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_1 = require("./../../base");
exports.set_global = function (name, key, value, create, required, when, additional_args, description) {
    if (create === void 0) { create = true; }
    if (required === void 0) { required = true; }
    return base_1.get_definition({
        key: key,
        bucket: name,
        value: value,
        create: String(create),
        required: String(required)
    }, {
        label: 'Utility - Bucket - Set Globals',
        method: 'set_globals',
        module: 'bucket',
        name: 'utility'
    }, when, additional_args, description);
};
//# sourceMappingURL=set_global.js.map